% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Prov.Anomalies.R
\name{Prov.Anomalies}
\alias{Prov.Anomalies}
\title{Generate provenance for SUNSET's Anomalies module execution}
\usage{
Prov.Anomalies(recipe, data, graph, type)
}
\arguments{
\item{recipe}{Configuration file specifying parameters.}

\item{data}{s2dv_cube object generated by SUNSET's Anomalies.R function.}

\item{graph}{Current provenance graph.}

\item{type}{Type of data (fcst, hcst, or obs).}
}
\value{
List containing updated graph and parent node name.
}
\description{
Generate provenance information for the execution of SUNSET's Anomalies module.
}
\details{
This function generates provenance information for the execution of SUNSET's Anomalies module.
}
\references{
https://example.com/sunset-prov Documentation for SUNSET's provenance generation.
}
